#include <iostream>
#include <math.h>
using namespace std;

double sroot(int num);
double sroot(double num);
double sroot(long num);

int main()
{
	cout << sroot(2) << "\n";
	cout << sroot(4.0) << "\n";
	cout << sroot(9L) << "\n";
	return 0;
}

double sroot(int num)
{
	cout << "sroot(int num)\n";
	return sqrt(num);
}
double sroot(double num)
{
	cout << "sroot(double num)\n";
	return sqrt(num);
}
double sroot(long num)
{
	cout << "sroot(long num)\n";
	return sqrt(num);
}

